import React from "react";
export declare type ItemType = {
    key: string | number;
    value: string;
};
export declare type SelectProps = {
    options: ItemType[];
    onChange?: (select: ItemType) => void;
    position?: "top" | "bottom";
    enabledInput?: boolean;
    defaultValue?: string;
    fullWidth?: boolean;
    disabled?: boolean;
    className?: string;
    placeholder?: string;
    label?: string;
    helperText?: string;
    error?: boolean;
    required?: boolean;
};
export declare type RefType = HTMLInputElement;
declare const Select: React.ForwardRefExoticComponent<SelectProps & React.RefAttributes<HTMLInputElement>>;
export default Select;
//# sourceMappingURL=index.d.ts.map